Subject: Re: ucc_uart: add support for Freescale QUICCEngine UART

From: Timur Tabi <[email-masked]>
Date: Tue, 04 Dec 2007 16:39:57 -0600

Arnd Bergmann wrote:

> I'm guessing that you don't really mean dma_addr_t here, but rather
> phys_addr_t, which is something different.

Now that I think about it, I don't know which is correct.  The value is plugged 
into the pointer register of a buffer descriptor, and the QE performs a DMA-like 
memory transfer from that address into its local memory.  I don't know if the QE 
is considered "external" enough that the address is a DMA address or a physical 
address.

When I program the DMA controller, I give it a dma_addr_t.  And yet, the DMA 
controller and the QE are both devices on the SoC.  So if the DMA controller 
takes a dma_addr_t, then shouldn't the QE also take one?

-- 
Timur Tabi
Linux kernel developer at Freescale